Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class KeyspaceNotDefinedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cassandra.thrift.InvalidRequestException
                  org.apache.cassandra.db.KeyspaceNotDefinedException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<InvalidRequestException>, org.apache.thrift.TBase<InvalidRequestException._Fields>

    public class KeyspaceNotDefinedException

extends InvalidRequestException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.thrift.InvalidRequestException
`InvalidRequestException._Fields`

Field Summary

Fields inherited from class org.apache.cassandra.thrift.InvalidRequestException
`metaDataMap, why`

Constructor Summary
`KeyspaceNotDefinedException(java.lang.String why)`

Method Summary

Methods inherited from class org.apache.cassandra.thrift.InvalidRequestException
`clone, compareTo, deepCopy, equals, equals, getFieldValue, getFieldValue, getWhy, hashCode, isSet, isSet, isSetWhy, read, setFieldValue, setFieldValue, setWhy, setWhyIsSet, toString, unsetWhy, validate, write`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyspaceNotDefinedException

    public KeyspaceNotDefinedException(java.lang.String why)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation